| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | Private Member Functions | List of all members
Attrib::DescSetsHolder Class Reference
AttributeEngine

Pack to carry DescSet Managers for live attributes and DescSets for stored data, both in 2D and 3D. More...

`#include <attribdescsetsholder.h>`

## Public Member Functions
| DescSetsHolder ()
| ~DescSetsHolder ()
Attrib::DescSet * | getDescSet (bool is2d, bool isstored)
const Attrib::DescSet * | getDescSet (bool is2d, bool isstored) const
Attrib::DescSetMan * | getDescSetMan (bool is2d)
const Attrib::DescSetMan * | getDescSetMan (bool is2d) const
void | replaceADSMan (DescSetMan *, bool dodelete=false)
void | replaceAttribSet (DescSet *)
void | replaceStoredAttribSet (DescSet *)

## Protected Member Functions
void | clearHolder ()

## Protected Attributes
Attrib::DescSetMan * | adsman2d_
Attrib::DescSetMan * | adsman3d_
Attrib::DescSet * | adsstored2d_
Attrib::DescSet * | adsstored3d_

## Static Protected Attributes
static DescSetsHolder * | dsholder_

## Private Member Functions
friend | mExp (AttributeEngine) bool hasDSHolder()
friend | mExp (AttributeEngine) const DescSetsHolder &DSHolder(bool)
friend | mExp (AttributeEngine) DescSetsHolder &eDSHolder()

## Detailed Description

Pack to carry DescSet Managers for live attributes and DescSets for stored data, both in 2D and 3D.

<>

## Constructor & Destructor Documentation

## ◆ DescSetsHolder()

Attrib::DescSetsHolder::DescSetsHolder | ( |  | ) |

## ◆ ~DescSetsHolder()

Attrib::DescSetsHolder::~DescSetsHolder | ( |  | ) |

## Member Function Documentation

## ◆ clearHolder()

void Attrib::DescSetsHolder::clearHolder | ( |  | ) |
| protected

## ◆ getDescSet() [1/2]

Attrib::DescSet * Attrib::DescSetsHolder::getDescSet | ( | bool | is2d,
|  | bool | isstored )

## ◆ getDescSet() [2/2]

const Attrib::DescSet * Attrib::DescSetsHolder::getDescSet | ( | bool | is2d,
|  | bool | isstored ) const

## ◆ getDescSetMan() [1/2]

Attrib::DescSetMan * Attrib::DescSetsHolder::getDescSetMan | ( | bool | is2d | ) |

## ◆ getDescSetMan() [2/2]

const Attrib::DescSetMan * Attrib::DescSetsHolder::getDescSetMan | ( | bool | is2d | ) | const

## ◆ mExp() [1/3]

Attrib::DescSetsHolder::mExp | ( | AttributeEngine |  | ) |
| private

## ◆ mExp() [2/3]

Attrib::DescSetsHolder::mExp | ( | AttributeEngine |  | ) | const &
| private

## ◆ mExp() [3/3]

Attrib::DescSetsHolder::mExp | ( | AttributeEngine |  | ) | &
| private

## ◆ replaceADSMan()

void Attrib::DescSetsHolder::replaceADSMan | ( | DescSetMan * | ,
|  | bool | dodelete = false )

## ◆ replaceAttribSet()

void Attrib::DescSetsHolder::replaceAttribSet | ( | DescSet * |  | ) |

## ◆ replaceStoredAttribSet()

void Attrib::DescSetsHolder::replaceStoredAttribSet | ( | DescSet * |  | ) |

## Member Data Documentation

## ◆ adsman2d_

Attrib::DescSetMan* Attrib::DescSetsHolder::adsman2d_
| protected

## ◆ adsman3d_

Attrib::DescSetMan* Attrib::DescSetsHolder::adsman3d_
| protected

## ◆ adsstored2d_

Attrib::DescSet* Attrib::DescSetsHolder::adsstored2d_
| protected

## ◆ adsstored3d_

Attrib::DescSet* Attrib::DescSetsHolder::adsstored3d_
| protected

## ◆ dsholder_

DescSetsHolder* Attrib::DescSetsHolder::dsholder_
| static protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025